copy_if.hpp File Reference

## Typedefs

template<typename I , typename O >
using | ranges::copy_if_result = detail::in_out_result< I, O >

## Functions

template<typename I , typename S , typename O , typename F , typename P = identity>
CPP_TEMPLATE_AUX_0 | ranges::c (requires input_iterator< I > &&sentinel_for< S, I > &&weakly_incrementable< O > &&indirect_unary_predicate< F, projected< I, P >> &&indirectly_copyable< I, O >) ccconstexpr copy_if_result< I
| function template `copy_if`
template<typename Rng , typename O , typename F , typename P = identity>
CPP_TEMPLATE_AUX_0 | ranges::c (requires input_range< Rng > &&weakly_incrementable< O > &&indirect_unary_predicate< F, projected< iterator_t< Rng >, P >> &&indirectly_copyable< iterator_t< Rng >, O >) ccconstexpr copy_if_result< borrowed_iterator_t< Rng >
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
CPP_TEMPLATE_AUX_0 O | ranges::copy_if (I first, S last, O out, F pred, P proj=P{})
CPP_TEMPLATE_AUX_0 O | ranges::copy_if (Rng &&rng, O out, F pred, P proj=P{})